using System;
using System.Data;
using System.Collections;
using Core.Mes.ServerFrameWork;
using Core.Mes.IBaseInterface;

namespace Core.XgMes.Server.JGKC.RollManager
{
	/// <summary>
	/// PlanTurnManage 的摘要说明。
	/// </summary>
	public class PlanTurnManage : Core.Mes.ServerFrameWork.IComponent
	{
		public PlanTurnManage()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}
		
		public ReturnObject Turn_Query(string _Where)
		{
			try
			{
				string strOut="";
				string Sql="SELECT 'FALSE'  FLAG,A.COIL_NO_ID,A.OLD_SAMPL_NO,A.SLAB_NO,A.ORD_NO,B.BUTTRESS,"+
					"A.ORD_SEQ,A.STL_GRD,A.ZSLAB_PLY,A.ZSLAB_WIDTH,"+
					"A.ZSLAB_LENGTH,ZSLAB_NUM,A.STOVENO,A.BAHCT_NUMBER,"+
					"A.ZSLAB_WEIGHT,A.TOT_DEC_GRD,SX_BIAOZHUN,A.SERIAL_NUMBER,"+
					"A.CRK_CD1,A.CRK_CD2,A.CRK_CD3,A.CRK_CD4,(SELECT NAME_ FROM KCJ_BASEDATA WHERE ID_=A.STCOKTYPE)STCOKTYPE,"+
					"A.CRK_CD5,A.ZLZS_NO,A.REM,A.DEVLMT_DTIME,"+
					"A.SHIP_INVNO,TRANS_CAR_NO,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.INCLASSORDER)INCLASSORDER,"+
					"(SELECT NAME_ FROM SCM_BASE_INFO D WHERE D.ID_=A.INCLASSTEAM)INCLASSTEAM,A.CREATETIME,A.CREATOR FROM KCJ3_TURNOFFLIST A ,KCJ3_TURNOFFBUTTRESSLIST B "+
					"WHERE A.COIL_NO_ID=B.COIL_NO_ID AND A.STORAGESTATUS='501602' AND ISVALID='1' AND B.BUTTRESS='K0-0' "+_Where;
				DataSet ds=this.DBManager.ExecuteQuery(Sql,out strOut);
				if(ds!=null&&ds.Tables.Count==1)
				{
					ds.Tables[0].TableName="KCJ3_TURNOFFLIST";
					return new ReturnObject(ds,strOut);
				}
				return new ReturnObject(null);

			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,10004,ex.ToString());
			}

		}

        public ReturnObject Turn_FJQuery(string _Where)
        {
            try
            {
                string strOut = "";
                //string Sql = "SELECT 'FALSE'  FLAG,A.OLD_SAMPL_NO,A.SLAB_NO,A.ORD_NO,b.BUTTRESS," +
                //     "A.ORD_SEQ,A.STL_GRD,A.COIL_INDIA,A.COIL_OUTDIA," +
                //     "A.COIL_THK,COIL_WTH,A.COIL_LEN,A.STOVENO,(A.BAHCT_NUMBER||A.SERIAL_NUMBER)BAHCT_NUMBER," +
                //     "CAL_WGT,A.ACT_WGT,A.TOT_DEC_GRD,SX_BIAOZHUN," +
                //     "A.CRK_CD1,A.CRK_CD2,A.CRK_CD3,A.CRK_CD4," +
                //     "A.CRK_CD5,A.ZLZS_NO,A.REM,A.DEVLMT_DTIME," +
                //     "A.SHIP_INVNO,TRANS_CAR_NO,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.INCLASSORDER)INCLASSORDER," +
                //     "(SELECT NAME_ FROM SCM_BASE_INFO D WHERE D.ID_=A.INCLASSTEAM)INCLASSTEAM,A.CREATETIME,A.CREATOR FROM KCJ3_STUFFLIST A,KCJ3_STUFFBUTTRESSLIST B  " +
                //     "WHERE A.OLD_SAMPL_NO=B.OLD_SAMPL_NO AND  A.STORAGESTATUS='501002' AND ISPLAN='0' AND A.ISVALID='1' and b.AREA='4#库' " + _Where;

                string Sql = "SELECT 'FALSE'  FLAG,A.OLD_SAMPL_NO,A.SLAB_NO,A.ORD_NO,B.BUTTRESS," +
                    "A.ORD_SEQ,A.STL_GRD,A.COIL_INDIA,A.COIL_OUTDIA," +
                    "A.COIL_THK,COIL_WTH,A.COIL_LEN,A.STOVENO,(A.BAHCT_NUMBER||A.SERIAL_NUMBER)BAHCT_NUMBER," +
                    "CAL_WGT,A.ACT_WGT,A.TOT_DEC_GRD,SX_BIAOZHUN," +
                    "A.CRK_CD1,A.CRK_CD2," +
                    "A.ZLZS_NO,A.REM,A.DEVLMT_DTIME," +
                    "A.SHIP_INVNO,TRANS_CAR_NO,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.INCLASSORDER)INCLASSORDER," +
                    "(SELECT NAME_ FROM SCM_BASE_INFO D WHERE D.ID_=A.INCLASSTEAM)INCLASSTEAM,A.CREATETIME,A.CREATOR FROM KCJ3_STUFFLIST_ZW A ,KCJ3_STUFFBUTTRESSLIST_ZW B " +
                    "WHERE A.OLD_SAMPL_NO=B.OLD_SAMPL_NO AND A.STORAGESTATUS='501002' AND ISPLAN='0' AND A.ISVALID='1' " + _Where;
                DataSet ds = this.DBManager.ExecuteQuery(Sql, out strOut);
                if (ds != null && ds.Tables.Count == 1)
                {
                    ds.Tables[0].TableName = "KCJ3_TURNOFFLIST";
                    return new ReturnObject(ds, strOut);
                }
                return new ReturnObject(null);

            }
            catch (Exception ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.ToString());
                return new ReturnObject(null, 10004, ex.ToString());
            }

        }
		public ReturnObject Plan_Qery(string _Where)
		{
			try
			{
				string strOut="";
				string Sql="SELECT 'FALSE'  FLAG,A.COIL_NO_ID,A.OLD_SAMPL_NO,A.SLAB_NO,A.ORD_NO,B.BUTTRESS,"+
					"A.ORD_SEQ,A.STL_GRD,A.ZSLAB_PLY,A.ZSLAB_WIDTH,"+
					"A.ZSLAB_LENGTH,ZSLAB_NUM,A.STOVENO,A.BAHCT_NUMBER,"+
					"A.ZSLAB_WEIGHT,A.TOT_DEC_GRD,SX_BIAOZHUN,(SELECT NAME_ FROM KCJ_BASEDATA WHERE ID_=A.STOCKTYPE)STOCKTYPE,"+
					"A.CRK_CD1,A.CRK_CD2,A.CRK_CD3,A.CRK_CD4,(SELECT NAME_ FROM KCJ_BASEDATA WHERE ID_=A.STOCKTYPEZF)STOCKTYPEZF,"+
					"A.CRK_CD5,A.ZLZS_NO,A.REM,A.DEVLMT_DTIME,"+
					"A.SHIP_INVNO,TRANS_CAR_NO,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.CLASSORDER)INCLASSORDER,"+
					"(SELECT NAME_ FROM SCM_BASE_INFO D WHERE D.ID_=A.CLASSTEAM)INCLASSTEAM,A.CREATETIME,A.CREATOR FROM KCJ3_ZY_ZFPLAN A ,KCJ3_TURNOFFBUTTRESSLIST B "+
                    "WHERE A.OLD_SAMPL_NO=B.OLD_SAMPL_NO AND A.DOWN_FLAG='0' " + _Where + " ORDER BY A.SCID ASC";
				DataSet ds=this.DBManager.ExecuteQuery(Sql,out strOut);
				if(ds!=null&&ds.Tables.Count==1)
				{
					ds.Tables[0].TableName="KCJ3_ZY_ZFPLAN";
					return new ReturnObject(ds,strOut);
				}
				return new ReturnObject(null);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,10004,ex.ToString());
			}

		}

        //分卷开平计划下发 add by lyp 20101026
        public ReturnObject Plan_FJQery(string _Where)
        {
            try
            {
                string strOut = "";
                string Sql = "SELECT 'FALSE'  FLAG, A.OLD_SAMPL_NO,A.SLAB_NO,A.ORD_NO,b.BUTTRESS," +
                     "A.ORD_SEQ,A.STL_GRD,A.COIL_INDIA,A.COIL_OUTDIA," +
                     "A.COIL_THK,COIL_WTH,A.STOVENO,(A.BAHCT_NUMBER||SERIAL_NUMBER)BAHCT_NUMBER," +
                     "A.COIL_LEN,CAL_WGT,A.ACT_WGT,A.TOT_DEC_GRD,SX_BIAOZHUN," +
                     "" +
                     " A.ZLZS_NO,A.REM,A.DEVLMT_DTIME,(SELECT NAME_ FROM KCJ_BASEDATA WHERE ID_=A.STOCKTYPE)STOCKTYPE," +
                     "A.SHIP_INVNO,TRANS_CAR_NO,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.CLASSORDER)CLASSORDER," +
                     "(SELECT NAME_ FROM SCM_BASE_INFO D WHERE D.ID_=A.CLASSTEAM)CLASSTEAM,A.CREATETIME,A.CREATOR, (SELECT NAME_ FROM KCJ_BASEDATA WHERE ID_=A.GYLX)GYLX  FROM KCJ3_ZY_PLAN_ZW A ,KCJ3_STUFFBUTTRESSLIST_ZW B  " +
                     "WHERE A.OLD_SAMPL_NO=B.OLD_SAMPL_NO AND  DOWN_FLAG='0'  " + _Where + " ORDER BY A.SCID ASC";
                DataSet ds = this.DBManager.ExecuteQuery(Sql, out strOut);
                if (ds != null && ds.Tables.Count == 1)
                {
                    ds.Tables[0].TableName = "KCJ3_ZY_ZFPLAN";
                    return new ReturnObject(ds, strOut);
                }
                return new ReturnObject(null);
            }
            catch (Exception ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.ToString());
                return new ReturnObject(null, 10004, ex.ToString());
            }

        }

		public ReturnObject Plan_XF_Qery(string _Where)
		{
			try
			{
				string strOut="";
                string Sql = "SELECT 'FALSE'  FLAG,A.WORKORDER_ID,A.OLD_SAMPL_NO,A.SLAB_NO,A.ORD_NO,b.BUTTRESS," +
                    "A.ORD_SEQ,A.STL_GRD,A.COIL_INDIA,A.COIL_OUTDIA,A.AFFIRLOG," +
                    "A.COIL_THK,COIL_WTH,A.STOVENO,A.BAHCT_NUMBER," +
                    "A.COIL_LEN,CAL_WGT,A.ACT_WGT,A.TOT_DEC_GRD,SX_BIAOZHUN," +
                    "A.CRK_CD1,A.CRK_CD2,A.CRK_CD3,A.CRK_CD4,(SELECT NAME_ FROM KCJ_BASEDATA WHERE ID_=A.STOCKTYPE)STOCKTYPE," +
                    "A.CRK_CD5,A.ZLZS_NO,A.REM,A.DEVLMT_DTIME," +
                    "A.SHIP_INVNO,TRANS_CAR_NO,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.CLASSORDER)CLASSORDER,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.STSJBC)STSJBC,(SELECT NAME_ FROM SCM_BASE_INFO C WHERE C.ID_= A.STSJBZ)STSJBZ,STTIME,STQRTIME," +
                    "(SELECT NAME_ FROM SCM_BASE_INFO D WHERE D.ID_=A.CLASSTEAM)CLASSTEAM,A.CREATETIME,A.CREATOR,(SELECT NAME_ FROM KCJ_BASEDATA WHERE ID_=A.GYLX) GYLX FROM KCJ3_ZY_PLAN_ZW A,KCJ3_STUFFBUTTRESSLIST_ZW B " +
                    " WHERE A.OLD_SAMPL_NO=B.OLD_SAMPL_NO AND  DOWN_FLAG='1' " + _Where + " AND A.GYLX='8077001' ORDER BY A.WORKORDER_ID, A.SCID DESC";
				DataSet ds=this.DBManager.ExecuteQuery(Sql,out strOut);
				if(ds!=null&&ds.Tables.Count==1)
				{
					ds.Tables[0].TableName="KCJ3_ZY_ZFPLAN";
					return new ReturnObject(ds,strOut);
				}
				return new ReturnObject(null);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,10004,ex.ToString());
			}

		}

		public ReturnObject PLAN_Print(string _Where)
		{
			try
			{
				string strOut="";
				string Sql="SELECT B.BUTTRESS,A.STL_GRD,A.COIL_WTH AS WTH,A.ACT_WGT AS WGT, "+
					"A.STOVENO,A.OLD_SAMPL_NO,A.SX_BIAOZHUN,A.ORD_NO,A.COIL_LEN,A.COIL_WTH,A.ACT_WGT,A.COIL_THK, "+
					"(A.COIL_LEN*A.COIL_WTH*A.COIL_THK*0.00000785)DZ,A.REMARK,A.CREATOR,A.CREATETIME  "+
					"FROM KCJ3_ZY_PLAN A,KCJ3_STUFFBUTTRESSLIST B WHERE A.OLD_SAMPL_NO=B.OLD_SAMPL_NO AND STOCKTYPE='1' "+_Where;
				DataSet ds=this.DBManager.ExecuteQuery(Sql,out strOut);
				if(ds!=null&&ds.Tables.Count==1)
				{
					ds.Tables[0].TableName="KCJ3_ZY_PLAN";
					return new ReturnObject(ds,strOut);
				}
				return new ReturnObject(null);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,10004,ex.ToString());
			}

		}

		public ReturnObject Plan_ADD(ArrayList _Ship_Invno,ArrayList _OtherInfo)
		{
			try
			{
				string err = "";
				Oracle.DataAccess.Client.OracleParameter pShi_Invno = new Oracle.DataAccess.Client.OracleParameter("vSHIP_INVNO", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				Oracle.DataAccess.Client.OracleParameter pOtherInfo = new Oracle.DataAccess.Client.OracleParameter("vOtherInfo", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				Oracle.DataAccess.Client.OracleParameter pSuccessFlag = new Oracle.DataAccess.Client.OracleParameter("vSuccessFlag", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				
				pShi_Invno.Direction = ParameterDirection.Input;
				pOtherInfo.Direction = ParameterDirection.Input;
				pSuccessFlag.Direction = ParameterDirection.Output;

				pShi_Invno.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;
				pOtherInfo.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;

				pShi_Invno.Value = _Ship_Invno.ToArray(typeof(string));
				pOtherInfo.Value = _OtherInfo.ToArray(typeof(string));

				int []OSizeInf = new int[_Ship_Invno.Count];
				for(int i =0;i< _Ship_Invno.Count;i++)
				{
					OSizeInf[i ] = 200;
				}
				pShi_Invno.Size = _Ship_Invno.Count;
				pShi_Invno.ArrayBindSize = OSizeInf;

				int []NOSizeInf = new int[_OtherInfo.Count];
				for(int i =0;i< _OtherInfo.Count;i++)
				{
					NOSizeInf[i ] = 200;
				}
				pOtherInfo.Size = _OtherInfo.Count;
				pOtherInfo.ArrayBindSize = NOSizeInf;
				pSuccessFlag.Size = 400;

				((STMes.DBManager)DBManagerList["ODPDB"]).ExecuteNonQuery_NoDBSever("KCJ3_COILMACHININGMANAGE.PLAN_QD", CommandType.StoredProcedure,
					new Oracle.DataAccess.Client.OracleParameter[]
					{pShi_Invno,pOtherInfo,pSuccessFlag}, out err);
				if(Common.CheckNullStr(pSuccessFlag.Value).Length>0 | Common.CheckNullStr(err).Length>0)
				{
					return new ReturnObject(null,1,Convert.ToString( pSuccessFlag.Value)+err);
				}
				else
				{
					return new ReturnObject('1');
				}
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,ex.ToString());
			}
		}



        //分卷开平工艺制定 add by lyp 20101026
        public ReturnObject Plan_FJADD(ArrayList _Ship_Invno, ArrayList _OtherInfo)
        {
            try
            {
                string err = "";
                Oracle.DataAccess.Client.OracleParameter pShi_Invno = new Oracle.DataAccess.Client.OracleParameter("vSHIP_INVNO", Oracle.DataAccess.Client.OracleDbType.Varchar2);
                Oracle.DataAccess.Client.OracleParameter pOtherInfo = new Oracle.DataAccess.Client.OracleParameter("vOtherInfo", Oracle.DataAccess.Client.OracleDbType.Varchar2);
                Oracle.DataAccess.Client.OracleParameter pSuccessFlag = new Oracle.DataAccess.Client.OracleParameter("vSuccessFlag", Oracle.DataAccess.Client.OracleDbType.Varchar2);

                pShi_Invno.Direction = ParameterDirection.Input;
                pOtherInfo.Direction = ParameterDirection.Input;
                pSuccessFlag.Direction = ParameterDirection.Output;

                pShi_Invno.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;
                pOtherInfo.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;

                pShi_Invno.Value = _Ship_Invno.ToArray(typeof(string));
                pOtherInfo.Value = _OtherInfo.ToArray(typeof(string));

                int[] OSizeInf = new int[_Ship_Invno.Count];
                for (int i = 0; i < _Ship_Invno.Count; i++)
                {
                    OSizeInf[i] = 200;
                }
                pShi_Invno.Size = _Ship_Invno.Count;
                pShi_Invno.ArrayBindSize = OSizeInf;

                int[] NOSizeInf = new int[_OtherInfo.Count];
                for (int i = 0; i < _OtherInfo.Count; i++)
                {
                    NOSizeInf[i] = 200;
                }
                pOtherInfo.Size = _OtherInfo.Count;
                pOtherInfo.ArrayBindSize = NOSizeInf;
                pSuccessFlag.Size = 400;

                ((STMes.DBManager)DBManagerList["ODPDBZW"]).ExecuteNonQuery_NoDBSever("KCJ_STORAGEMANAGER_WX.PLAN_FJQD", CommandType.StoredProcedure,
                    new Oracle.DataAccess.Client.OracleParameter[] { pShi_Invno, pOtherInfo, pSuccessFlag }, out err);
                if (Common.CheckNullStr(pSuccessFlag.Value).Length > 0 | Common.CheckNullStr(err).Length > 0)
                {
                    return new ReturnObject(null, 1, Convert.ToString(pSuccessFlag.Value) + err);
                }
                else
                {
                    return new ReturnObject('1');
                }
            }
            catch (System.Exception ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.ToString());
                return new ReturnObject(null, ex.ToString());
            }
        }
		public ReturnObject DeletePlan(ArrayList _Ship_Invno)
		{
			try
			{
				string err = "";
				Oracle.DataAccess.Client.OracleParameter pShi_Invno = new Oracle.DataAccess.Client.OracleParameter("vSHIP_INVNO", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				Oracle.DataAccess.Client.OracleParameter pSuccessFlag = new Oracle.DataAccess.Client.OracleParameter("vSuccessFlag", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				
				pShi_Invno.Direction = ParameterDirection.Input;
				pSuccessFlag.Direction = ParameterDirection.Output;

				pShi_Invno.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;
		
				pShi_Invno.Value = _Ship_Invno.ToArray(typeof(string));

				int []OSizeInf = new int[_Ship_Invno.Count];
				for(int i =0;i< _Ship_Invno.Count;i++)
				{
					OSizeInf[i ] = 200;
				}
				pShi_Invno.Size = _Ship_Invno.Count;
				pShi_Invno.ArrayBindSize = OSizeInf;
				pSuccessFlag.Size = 400;

                ((STMes.DBManager)DBManagerList["ODPDBZW"]).ExecuteNonQuery_NoDBSever("KCJ_STORAGEMANAGER_WX.PLAN_DEL", CommandType.StoredProcedure,
					new Oracle.DataAccess.Client.OracleParameter[]
					{pShi_Invno,pSuccessFlag}, out err);
				if(Common.CheckNullStr(pSuccessFlag.Value).Length>0 | Common.CheckNullStr(err).Length>0)
				{
					return new ReturnObject(null,1,pSuccessFlag.Value.ToString()+err);
				}
				else
				{
					return new ReturnObject('1');
				}
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,ex.ToString());
			}
		}

		public ReturnObject Plan_XF(ArrayList _Ship_Invno,ArrayList _OtherInfo)
		{
			try
			{
				string err = "";
				Oracle.DataAccess.Client.OracleParameter pShi_Invno = new Oracle.DataAccess.Client.OracleParameter("vSHIP_INVNO", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				Oracle.DataAccess.Client.OracleParameter pOtherInfo = new Oracle.DataAccess.Client.OracleParameter("vOtherInfo", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				Oracle.DataAccess.Client.OracleParameter pSuccessFlag = new Oracle.DataAccess.Client.OracleParameter("vSuccessFlag", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				
				pShi_Invno.Direction = ParameterDirection.Input;
				pOtherInfo.Direction = ParameterDirection.Input;
				pSuccessFlag.Direction = ParameterDirection.Output;

				pShi_Invno.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;
				pOtherInfo.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;

				pShi_Invno.Value = _Ship_Invno.ToArray(typeof(string));
				pOtherInfo.Value = _OtherInfo.ToArray(typeof(string));

				int []OSizeInf = new int[_Ship_Invno.Count];
				for(int i =0;i< _Ship_Invno.Count;i++)
				{
					OSizeInf[i ] = 200;
				}
				pShi_Invno.Size = _Ship_Invno.Count;
				pShi_Invno.ArrayBindSize = OSizeInf;

				int []NOSizeInf = new int[_OtherInfo.Count];
				for(int i =0;i< _OtherInfo.Count;i++)
				{
					NOSizeInf[i ] = 200;
				}
				pOtherInfo.Size = _OtherInfo.Count;
				pOtherInfo.ArrayBindSize = NOSizeInf;
				pSuccessFlag.Size = 400;

				((STMes.DBManager)DBManagerList["ODPDB"]).ExecuteNonQuery_NoDBSever("KCJ3_COILMACHININGMANAGE.PLAN_XF", CommandType.StoredProcedure,
					new Oracle.DataAccess.Client.OracleParameter[]
					{pShi_Invno,pOtherInfo,pSuccessFlag}, out err);
				if(Common.CheckNullStr(pSuccessFlag.Value).Length>0 | Common.CheckNullStr(err).Length>0)
				{
					return new ReturnObject(null,1,pSuccessFlag.Value.ToString()+err);
				}
				else
				{
					return new ReturnObject('1');
				}
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,ex.ToString());
			}
		}
		public ReturnObject Plan_Del_XF(ArrayList _Ship_Invno,ArrayList _OtherInfo)
		{
			try
			{
				string err = "";
				Oracle.DataAccess.Client.OracleParameter pShi_Invno = new Oracle.DataAccess.Client.OracleParameter("vSHIP_INVNO", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				Oracle.DataAccess.Client.OracleParameter pOtherInfo = new Oracle.DataAccess.Client.OracleParameter("vOtherInfo", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				Oracle.DataAccess.Client.OracleParameter pSuccessFlag = new Oracle.DataAccess.Client.OracleParameter("vSuccessFlag", Oracle.DataAccess.Client.OracleDbType.Varchar2);
				
				pShi_Invno.Direction = ParameterDirection.Input;
				pOtherInfo.Direction = ParameterDirection.Input;
				pSuccessFlag.Direction = ParameterDirection.Output;

				pShi_Invno.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;
				pOtherInfo.CollectionType = Oracle.DataAccess.Client.OracleCollectionType.PLSQLAssociativeArray;

				pShi_Invno.Value = _Ship_Invno.ToArray(typeof(string));
				pOtherInfo.Value = _OtherInfo.ToArray(typeof(string));

				int []OSizeInf = new int[_Ship_Invno.Count];
				for(int i =0;i< _Ship_Invno.Count;i++)
				{
					OSizeInf[i ] = 200;
				}
				pShi_Invno.Size = _Ship_Invno.Count;
				pShi_Invno.ArrayBindSize = OSizeInf;

				int []NOSizeInf = new int[_OtherInfo.Count];
				for(int i =0;i< _OtherInfo.Count;i++)
				{
					NOSizeInf[i ] = 200;
				}
				pOtherInfo.Size = _OtherInfo.Count;
				pOtherInfo.ArrayBindSize = NOSizeInf;
				pSuccessFlag.Size = 400;

				((STMes.DBManager)DBManagerList["ODPDB"]).ExecuteNonQuery_NoDBSever("KCJ3_COILMACHININGMANAGE.PLAN_DELXF", CommandType.StoredProcedure,
					new Oracle.DataAccess.Client.OracleParameter[]
					{pShi_Invno,pOtherInfo,pSuccessFlag}, out err);
				if(Common.CheckNullStr(pSuccessFlag.Value).Length>0 | Common.CheckNullStr(err).Length>0)
				{
					return new ReturnObject(null,1,pSuccessFlag.Value.ToString()+err);
				}
				else
				{
					return new ReturnObject('1');
				}
			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
				return new ReturnObject(null,ex.ToString());
			}
		}


	}
}
